﻿Version=3.82
IconFile=
NumberOfModules=4
Module1=SwitchView
Module2=StateManager
Module3=KeyValues
Module4=Utils
Build1=Default,My.Sound.Settings
DoNotOverwriteManifest=False
ManifestCode='This code will be applied to the manifest file during compilation.~\n~'You do not need to modify it in most cases.~\n~'See this link for for more information: http://www.basic4ppc.com/forum/showthread.php?p=78136~\n~AddManifestText(~\n~<uses-sdk android:minSdkVersion="4" android:targetSdkVersion="14"/>~\n~<supports-screens android:largeScreens="true" ~\n~    android:normalScreens="true" ~\n~    android:smallScreens="true" ~\n~    android:anyDensity="true"/>)~\n~SetApplicationAttribute(android:icon, "@drawable/icon")~\n~SetApplicationAttribute(android:label, "$LABEL$")~\n~'End of default text.~\n~
NumberOfFiles=1
File1=main.bal
NumberOfLibraries=6
Library1=core
Library2=javaobject
Library3=randomaccessfile
Library4=reflection
Library5=sql
Library6=phone
@EndOfDesignText@
#Region  Project Attributes 
	#ApplicationLabel: My Sound Settings
	#VersionCode: 1
	#VersionName: 
	'SupportedOrientations possible values: unspecified, landscape or portrait.
	#SupportedOrientations: portrait
	#CanInstallToExternalStorage: False
	#LibraryName: SwitchView
#End Region

#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals

End Sub

Sub Globals

	' Variables.
	'-----------
	
	' Objects.
	'---------
	Private phThePhone As Phone

	' Objects from additional libraries.
	'-----------------------------------
	' KeyValues stores values into a database with a key and value pair.
	' There is no need to write SQL queries to insert and query the data
	' put into the database bt KeyValues.
	'-------------------------------------------------------------------
	Private kvPresetsList As KeyValues
	Private kvConfigurationSettings As KeyValues	

	' Views.
	'-------
	Private SwMasterVolume As SwitchView
	Private SwReloadLastSavedSettings As SwitchView
	Private PanelMain As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	LoadMainLayout
	
	LoadPreviousState
	
	Utils.CenterViewOnTop(PanelMain, Activity, 50)

End Sub

Sub sw_CheckedChange(Checked As Boolean)
	Log("checked=" & Checked)
End Sub

Sub CustomView1_CheckedChange (Checked As Boolean)
	Log("cv checked=" & Checked)
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)

	SaveCurrentState
End Sub

' Additional sub routines.
'-------------------------
Sub LoadMainLayout

	Activity.LoadLayout("main")
End Sub

Sub LoadPreviousState

	If StateManager.RestoreState(Activity, "Main", 0) = False Then
    	    
		' Set the default values.
		'------------------------
    End If

	' SwitchView is not currently supported by the StateManager so these are used instead.
	'-------------------------------------------------------------------------------------
'	SwMasterVolume.Checked = StateManager.GetSetting2("Master Volume State", True)
'	SwReloadLastSavedSettings.Checked = StateManager.GetSetting2("Reload Settings", True)
End Sub

Sub SaveCurrentState

	StateManager.SaveState(Activity, "Main")
	StateManager.SaveSettings

'	StateManager.SetSetting("Master Volume State", SwMasterVolume.Checked)
'	StateManager.SetSetting("Reload Settings", SwReloadLastSavedSettings.Checked)	
End Sub

' Event handlers.
'----------------
Sub Button1_Click
	Activity.Finish
End Sub

Sub ButtonExit_Click
	
	Activity.Finish	
End Sub

Sub SwMasterVolume_CheckedChange (Checked As Boolean)

	If SwMasterVolume.Checked = True Then
	Else
		phThePhone.setVolume(phThePhone.VOLUME_SYSTEM, 0, False)
		phThePhone.setVolume(phThePhone.VOLUME_MUSIC, 0, False)
		phThePhone.setVolume(phThePhone.VOLUME_ALARM, 0, False)
		phThePhone.setVolume(phThePhone.VOLUME_NOTIFICATION, 0, False)
		phThePhone.setVolume(phThePhone.VOLUME_RING, 0, False)
		phThePhone.setVolume(phThePhone.VOLUME_VOICE_CALL, 0, False)
	End If
End Sub